/**
 * Scripts for mobile specific interactions, appart from menu
 */


/************
 * Detect the device
 * @returns {String}
************/
function getMobileOperatingSystem() {
    var userAgent = navigator.userAgent || navigator.vendor || window.opera;

    // Windows Phone must come first because its UA also contains "Android"
    if (/windows phone/i.test(userAgent)) {
        return "Windows Phone";
    }

    if (/android/i.test(userAgent)) {
        return "Android";
    }

    // iOS detection from: http://stackoverflow.com/a/9039885/177710
    if (/iPad|iPhone|iPod/.test(userAgent) && !window.MSStream) {
        return "iOS";
    }  
    return "unknown";
}

/************
 * Give choice to open link in apps
************/
// navigator.getInstalledRelatedApps().then(relatedApps => {
//     console.log("related apps are",relatedApps);
//     for (let app of relatedApps) {
//       window.alert(app.platform);
//       window.alert(app.url);
//       window.alert(app.id);
//     }
// });

function openLinkInApps(sharePlateform,shareText,currentPageUrl) {
    // console.log("open link  in app",openLinkInApps);
    const whatsappUrl = socialMediaShareLinksValues['whatsapp']['mobile'];
    const twitterUrl = socialMediaShareLinksValues['twitter']['mobile'];
    const facebookUrl = socialMediaShareLinksValues['facebook']['mobile'];
    const messengerUrl = socialMediaShareLinksValues['messenger']['mobile'];
    const telegramUrl = socialMediaShareLinksValues['telegram']['mobile'];
    const signalUrl = socialMediaShareLinksValues['signal']['mobile'];
    // console.log("app click for " + sharePlateform);
    switch (sharePlateform) {
        case "whatsapp":
            sharedMessage = whatsappUrl + shareText + "%20" + currentPageUrl;
            // window.alert('whatsapp url',whatsappUrl)
            window.open(sharedMessage,'_blank');
            break;
        case "facebook":
            sharedMessage =  facebookUrl + encodeURI(currentPageUrl) + "&quote="+shareText;
            window.open(sharedMessage,'_blank');
            break;
        
        case "twitter":
            sharedMessage = twitterUrl + shareText + "%20" + currentPageUrl;
            // sharedMessage = "twitter://user?id=12345"
            window.open(sharedMessage,'_blank');
            break;

        //messenger
        case "messenger":
            sharedMessage = messengerUrl + "&link="+currentPageUrl +"&text="+ shareText  ;
            window.open(messengerUrl,'_blank'); 
            break;

        //signal
        case "signal":
            sharedMessage = signalUrl + "url=" + encodeURI(currentPageUrl) + "&text="+ shareText;
            console.log("url",sharedMessage)
            window.open(sharedMessage,'_blank');
            break;
        //telegram
        case "telegram":
            sharedMessage = telegramUrl + "url=" + encodeURI(currentPageUrl) + "&text="+ shareText;
            console.log("url",sharedMessage)
            window.open(sharedMessage,'_blank');
            break;

        default:
            window.alert("Vous n'avez pas choisi de plateformes")
            break;
    }
    // console.log("after click",sharePlateform);
}

function openLinksInNav(sharePlateform,shareText,currentPageUrl){
    const whatsappUrl = socialMediaShareLinksValues['whatsapp']['desktop'];
    const twitterUrl = socialMediaShareLinksValues['twitter']['desktop'];
    const facebookUrl = socialMediaShareLinksValues['facebook']['desktop'];
    const messengerUrl = socialMediaShareLinksValues['messenger']['desktop'];
    const telegramUrl = socialMediaShareLinksValues['telegram']['desktop'];
    const signalUrl = socialMediaShareLinksValues['signal']['desktop'];
    let sharedMessage = "";
    switch (sharePlateform) {
        case "copy-link":
            // window.alert("copying"+currentPageUrl)
            copyCurrentPageUrl = $('<input>').val(currentPageUrl).appendTo('body').select()
            // console.log("content is",copyCurrentPageUrl);
            navigator.clipboard.writeText(copyCurrentPageUrl[0].value)
            window.alert("Le lien "+currentPageUrl+" a été copié")
            break;
        case "whatsapp":
            sharedMessage = whatsappUrl + shareText + "%20" + currentPageUrl;
            window.open(sharedMessage,'_blank');
            break;
        case "facebook":
            sharedMessage =  facebookUrl + encodeURI(currentPageUrl) + "&quote="+shareText;
            window.open(sharedMessage,'_blank');
            break;
        
        case "twitter":
            sharedMessage = twitterUrl + shareText + "%20" + currentPageUrl;
            window.open(sharedMessage,'_blank');
            break;

        //messenger
        case "messenger":
            sharedMessage = messengerUrl + "&link="+currentPageUrl +"&text="+ shareText  ;
            window.open("https://m.me/"+"?link"+currentPageUrl); 
            break;

        case "signal":
            sharedMessage = signalUrl; //+ "url=" + encodeURI(currentPageUrl) + "&text="+ shareText;
            console.log("url",sharedMessage)
            window.open(sharedMessage,'_blank');
            break;

        //telegram
        case "telegram":
            sharedMessage = telegramUrl + "url=" + encodeURI(currentPageUrl) + "&text="+ shareText;
            //console.log("url",sharedMessage)
            window.open(sharedMessage,'_blank');
            break;

        default:
            break;
    }
}